# cPy - Creating a class-diagram from a python module
# Copyright by Anthony Vogelaar, Perth Scotland
# rev 0.10  2026-05-31  initial release

from mod_a	import ClassA
from mod_b	import ClassB

# ======================== test module =========================

class Controller:
    
    def __init__(self):
        self.attr = 123
        self.ca   = ClassA()
        self.cb   = ClassB()
        print('done')
        
        
    def meth1(self, start=5):
        ...
        
        
main = Controller()

# ============================ end =============================
